freebsd-ports/devel/monodevelop/files/patch-theme-icons_icon-theme-installer
Greg Lewis 3fb3b0682c MonoDevelop is a free GNOME integrated development environment (IDE)
primarily designed for C# and other .NET languages.

The main features of MonoDevelop are:

	* Code Completion
	* Class Management
	* Built-in Help
	* Project Support
	* Add-ins

PR:		117545
Submitted by:	Romain Tartiere <romain at blogreen.org> (latest version)
2009-09-07 17:16:23 +00:00

26 lines
705 B
Text

$FreeBSD$
--- theme-icons/icon-theme-installer.orig
+++ theme-icons/icon-theme-installer
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/usr/bin/env bash
# icon-theme-installer
# Copyright (C) 2006 Novell, Inc.
@@ -101,12 +101,12 @@
exit 1
fi
-if test ! -x $(echo "$MKINSTALLDIRS_EXEC" | cut -f1 -d' '); then
+if ! which $(echo "$MKINSTALLDIRS_EXEC" | cut -f1 -d' '); then
echo "Cannot find '$MKINSTALLDIRS_EXEC'; You probably want to pass -m \$(mkinstalldirs)"
exit 1
fi
-if test ! -x $(echo "$INSTALL_DATA_EXEC" | cut -f1 -d' '); then
+if ! which $(echo "$INSTALL_DATA_EXEC" | cut -f1 -d' '); then
echo "Cannot find '$INSTALL_DATA_EXEC'; You probably want to pass -x \$(INSTALL_DATA)"
exit 1
fi